LINUX.ORG.RU

beastie испортился

 ,


0

1

Я конечно понимаю что модератор может все, только вот при модерировании технических вопросов надо думать.

Релиз стабильной версии Ninamori CMS - первое удаленное

Совершенно корректное замечание на неадекватность использования табов в питоне:

https://www.python.org/dev/peps/pep-0008/#tabs-or-spaces

Да я знаю что бисти пишет на go, но в данном случае надо либо думать либо не лезть

★★★★★

Это ветку надо было удалить, но корень дискуссии выбран неверно.

postman_ ★☆ ()

Провокация флейма, если уж на то пошло, началась с вынесения этой «фичи» в самой новости.

Psych218 ★★★★★ ()

В каком месте неадекватное замечание против совершенно корретного использования табов для индентации имеет право быть на ЛОРе?

Goury ★★★★ ()

Промахнулся. Надо было на один ниже. Но востановить уже не могу.

Да и не суть важно. Перебранка двоих ниочём. Снёс под корень. Оба получили по орехам. (Один в одной теме, другой в другой.)

beastie ★★★★★ ()
Последнее исправление: beastie (всего исправлений: 1)
Ответ на: комментарий от Goury

Ну, 2.7 таки уже всё. ;)

PS: У меня целый отдел питонщиков с лопатами, которые пытаются этот зомби добить, чтоб не вылазил.

PPS: Новый зомби тоже не лучше.

beastie ★★★★★ ()
Ответ на: комментарий от beastie

2.7 до 2020 поддерживается, куча библиотек и модулей до сих пор не работает ни с чем другим.
Вот когда хотя бы не будет важных проектов, которые не работают нормально с чем-нибдуь более новым — тогда и начнём закапывать. Пока ещё слишком рано, к сожалению. Пока используем __future__ где надо.

Goury ★★★★ ()
Последнее исправление: Goury (всего исправлений: 1)
Ответ на: комментарий от Goury

Эти комментарии несут смысловую нагрузку, в отличие от твой поделки.

postman_ ★☆ ()
Ответ на: комментарий от Psych218

Если уж на то пошло, этому вообще делать нечего в новостях. Давайте про каждую студенческую поделку делать новость тогда.

pawnhearts ★★★★ ()
Ответ на: комментарий от Goury

используем

Зачем ты о себе во множественном числе?

куча библиотек и модулей

Можно примеры чего-то действительно важного и не заброшенного что ещё не перешло на 3? Даже twisted уже переползает.

Вообще, очень толсто. Я сидел на python2 до последнего, потому что начинал ещё на python 1.x и очень консервативен(я пользовался old-style classes чуть ли не до 2.4). Но последние пару лет большинство проектов, с которыми я работал, были на python3 если это не лютое legacy.

3 объективно лучше. Тем более, многие всем известные притензии были устранены в 3.5

pawnhearts ★★★★ ()
Ответ на: комментарий от pawnhearts

Можно примеры чего-то действительно важного и не заброшенного что ещё не перешло на 3?

gevent :(

beastie ★★★★★ ()
Ответ на: комментарий от beastie

Почему не переписать код на модных async/await? Или tornado которое умеет в py3.

В любом случае, если 5 лет назад ещё можно было жаловаться, сейчас нет причин начинать новые проекты на python2. Legacy будет жить ещё долго на нем конечно.

pawnhearts ★★★★ ()
Ответ на: комментарий от pawnhearts

Так новые проеткы все давно на py3. Осталось только от gunicorn избавиться (уже в процессе).

beastie ★★★★★ ()
Ответ на: комментарий от pawnhearts

Меня вот всегда интересовал вопрос — где мне найти пистон 3.5, чтобы ощутить модные async for/async/await в гнилой убунте 14.04?

postman_ ★☆ ()
Ответ на: комментарий от postman_

Странный вопрос. Сконпелять в /opt? В ppa?

Тем более, в 14.04 python3 не дефолтный и можно вообще что угодно делать. В 16.04 он уже будет по-дефолту, а во всяких арчиках уже давно.

pawnhearts ★★★★ ()
Ответ на: комментарий от postman_

И вообще это же синтаксический сахар же, нет? Типа задолго до того, как до того как завезли декораторы ты мог писать

def foo():
  pass

foo = blabla(foo)
pawnhearts ★★★★ ()

Поскольку пол треда потерли, я в третий раз спрошу.

Почему мы должны наблюдать творения ув. Goury в новостях. Тем более, с явной провокацией флейма(табы vs пробелы) в тексте самой новости?

Нормальный вброс для talks, но не для новостей, кто это вообще подтверждает.

pawnhearts ★★★★ ()
Ответ на: комментарий от postman_

Меня вот всегда интересовал вопрос — где мне найти пистон 3.5, чтобы ощутить модные async for/async/await в гнилой убунте 14.04?

В pyenv или pythonz.

risenshnobel ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.